.top-bar {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.top-bar .top-bar-actions {
  display: flex;
  align-items: center;
  gap: 10px;
}

#logo {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 10px;
  font-weight: bold;
  font-size: 1.2rem;
}
#logo #logo-img {
  display: inline-block !important;
  width: 80px !important;
  height: 80px !important;
  object-fit: contain;
  cursor: pointer;
}
#logo #headline {
  color: #8a8e75;
  text-shadow: 1px 1px #f1ead8;
  font-size: 20px;
}

.menu-toggle {
  background: none;
  border: none;
  padding: 10px;
}

.hamburger,
.hamburger::before,
.hamburger::after {
  display: block;
  width: 22px;
  height: 2px;
  position: relative;
  background-color: #8a8e75;
  box-shadow: 1px 1px #f1ead8;
  transition: all 0.3s ease-in-out;
}

.hamburger::before {
  content: "";
  position: absolute;
  top: -7px;
}

.hamburger::after {
  content: "";
  position: absolute;
  bottom: -7px;
}

.menu-container {
  z-index: 9999 !important;
  position: fixed;
  top: 15vh;
  bottom: 5vh;
  right: -100%;
  width: 100%;
  height: 80vh;
  background: #d5c7ad;
  transition: right 0.3s ease-in-out;
  padding: 80px 20px;
}
@media (pointer: coarse) {
  .menu-container {
    background: #8a8e75;
  }
}

@media (pointer: coarse) {
  .menu-container.active {
    right: 0%;
  }
}
@media (pointer: fine) {
  .menu-container.active {
    right: -80%;
  }
}

.menu-toggle.open .hamburger {
  background-image: none !important;
  background-color: transparent !important;
  box-shadow: none !important;
}

.menu-toggle.open .hamburger::before {
  transform: translateY(7px) rotate(45deg);
}

.menu-toggle.open .hamburger::after {
  transform: translateY(-7px) rotate(-45deg);
}

.menu-toggle span {
  background-color: #8a8e75;
  transition: all 0.3s ease-in-out;
}

.menu-toggle.open span {
  background-color: #8a8e75;
}

.main-navigation ul {
  list-style: none;
  padding: 0;
  margin: 0;
  display: flex;
  flex-direction: column;
  gap: 15px;
}
@media (pointer: coarse) {
  .main-navigation ul {
    align-items: center;
    width: 100%;
    text-align: center;
  }
}
.main-navigation li {
  list-style-type: none;
}
@media (pointer: coarse) {
  .main-navigation li {
    padding-bottom: 1%;
  }
}
.main-navigation a {
  text-decoration: none;
  margin-left: 15px;
  color: #8a8e75;
  text-shadow: 1px 1px #f1ead8;
  cursor: pointer;
  transition: color 0.3s ease, transform 0.2s ease;
  display: inline-block;
}
.main-navigation a:hover {
  transform: translateX(5px) scale(1.1);
  color: #68604d;
}
@media (pointer: coarse) {
  .main-navigation a {
    color: #f1ead8;
    text-shadow: 1px 1px #68604d;
  }
}
.main-navigation .active-nav {
  pointer-events: none;
  color: #68604d;
  font-weight: bold;
  transform: scale(1.1);
}
@media (pointer: coarse) {
  .main-navigation .active-nav {
    color: #68604d;
    text-shadow: 1px 1px #d5c7ad;
    margin-left: 0px;
  }
}

/*#endregion*/
.lang-dropdown ul {
  list-style: none;
  display: flex;
  flex-direction: row;
  margin-bottom: 5%;
  gap: 2%;
  margin-left: 15px;
}
@media (pointer: coarse) {
  .lang-dropdown ul {
    width: 100%;
    margin-left: 0;
    justify-content: center;
    align-items: center;
    padding-bottom: 20%;
    gap: 5%;
    text-align: center;
  }
}
.lang-dropdown li {
  transition: all 0.5s ease;
}
.lang-dropdown li a {
  text-decoration: none;
  color: #8a8e75;
  text-shadow: 1px 1px #f1ead8;
  cursor: pointer;
  transition: color 0.3s ease, transform 0.2s ease;
  display: inline-block;
}
.lang-dropdown li a:hover {
  transform: scale(1.1);
  color: #68604d;
}
@media (pointer: coarse) {
  .lang-dropdown li a {
    color: #f1ead8;
    text-shadow: 1px 1px #68604d;
  }
}
.lang-dropdown li .active-lang {
  color: #68604d;
  text-shadow: 1px 1px #d5c7ad;
  pointer-events: none;
  color: #68604d;
  font-weight: bold;
  transform: scale(1.1);
}

#scroll-progress {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 0%;
  height: 4px;
  background: #68604d;
  border-radius: 5%;
  transition: width 0.1s ease-out;
  z-index: 10000;
}
@media (pointer: fine) {
  #scroll-progress {
    background-color: #d5c7ad;
  }
}